
Price Monitoring - Bug #1719

Price average screen does not handle searching for a defined item barcode that is linked to items

with different barcodes 

08/31/2019 04:23 PM - Israa Naser

Status: Closed Start date: 08/31/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result: but the screen shows that No data found 

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Item Price Average within Period (متوسط

(سعرسلعة خلال مدة زمنية

Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: the screen is expected to return search

results with the items linked to the

defined item

  

Description

When the user searches for a defined barcode that is linked to items with different barcodes,

the screens returns No data found.

Steps to duplicate:

1- define a regular item and link it to many items from COOPs with different barcodes

2- Go to price average screen and search fro the item defined using the General barcode set in the defined item

the screen is expected to return search results with the items linked to the defined item

but the screen shows that No data found

the same search method is used in searching by barcode, providers and sections

Related issues:

Related to Task #1436: Item Price Average within Period - متوسط سعرسلعة خلال ... Closed 07/14/2019

History

#1 - 08/31/2019 04:23 PM - Israa Naser

- Related to Task #1436: Item Price Average within Period - متوسط سعرسلعة خلال مدة زمنية added

#2 - 09/01/2019 05:39 PM - Abed Abuhalawa

- Status changed from Open to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser

done

#3 - 09/02/2019 05:13 PM - Israa Naser

- Status changed from Fixed to Closed

- % Done changed from 0 to 100

- Co-Workers Abed Abuhalawa added

- Co-Workers deleted (Israa Naser)
Requirement for this in SRS under

6.8    Use Cases

Tested and verified the following:

1- Search for items with barcode different from the defined item barcode

2- Search for items with barcode identical to the defined item barcode

3- Search using dates that has no data entered

4- Search in COOP's that are not among the defined item COOP's list

5- Search within a period that has only one entry data

6- Search using providers linked items , empty providers are not displayed in the options

7- Search in an empty section or item with no barcode, shows the message of (No data found)

Powered by TCPDF (www.tcpdf.org)

09/08/2025 2/2

http://www.tcpdf.org

